Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class JoinpointStatusUpdate

    java.lang.Object
      org.jboss.aop.instrument.JoinpointStatusUpdate

public class JoinpointStatusUpdate
extends Object

This class contains the status update of all joinpoints associated to a class.

Author:
  Flavia Rainone

Nested Class Summary
`static class` | `JoinpointStatusUpdate.ClassJoinpoints` Collection of the joinponts of a class.

Field Summary
`javassist.CtClass` | `clazz` The class whose joinpoints are related to this update.
`JoinpointStatusUpdate.ClassJoinpoints` | `newlyAdvisedJoinpoints` Joinpoints which became advised recently.
`JoinpointStatusUpdate.ClassJoinpoints` | `newlyUnadvisedJoinpoints` Joinpoints which became unadvised recently.

Constructor Summary
`JoinpointStatusUpdate()`

Method Summary
`boolean` | `isEmpty()` Returns `true` if this object contains no joinpoints.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    public javassist.CtClass clazz

  The class whose joinpoints are related to this update.

### newlyAdvisedJoinpoints

    public JoinpointStatusUpdate.ClassJoinpoints newlyAdvisedJoinpoints

  Joinpoints which became advised recently.

### newlyUnadvisedJoinpoints

    public JoinpointStatusUpdate.ClassJoinpoints newlyUnadvisedJoinpoints

  Joinpoints which became unadvised recently.

Constructor Detail

### JoinpointStatusUpdate

    public JoinpointStatusUpdate()

Method Detail

### isEmpty

    public boolean isEmpty()

  Returns `true` if this object contains no joinpoints.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.